Subject: Re: [PATCH 2/4] repack: populate extension bits incrementally

From: Taylor Blau <[email-masked]>
Date: Fri, 21 Oct 2022 19:41:36 -0400

On Fri, Oct 21, 2022 at 07:34:12PM -0400, Jeff King wrote:
> > which still lets you eagerly keep track of the generated pack extensions
> > while also protecting against forgetful callers. Obviously we're relying
> > on a runtime check which is going to be somewhat weaker. But I think
>
> I don't think we need that. The renaming loop a few lines below will
> happily segfault if anybody forgot to populate it. With a less nice
> message, obviously, but if the point is to notice a bug, it will get the
> job done.

That's reasonable, I think. I'm happy to abandon that suggestion :-).

Thanks,
Taylor